# norootforbuild
#
%define php_version %(php-config --version 2>/dev/null)

Name: php5-pecl-memcache
Version: 3.0.8
Release: 2.11
#
Group: Productivity/Networking/Web/Servers
License: PHP
#
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: php5-devel zlib-devel
Requires: php5 = %{php_version}
#
URL: http://pecl.php.net/package/memcache
Source: http://pecl.php.net/get/memcache-%{version}.tgz
Source1: memcache.ini
Patch0: memcache-sessiondep.patch 
#
Summary: PHP Memcache client Extension

%description

Memcached is a caching daemon designed especially for dynamic web applications
to decrease database load by storing objects in memory.  This extension allows
you to work with memcached through handy OO and procedural interfaces.

Author:
-------
    Antony Dovgal

%prep

%setup -q -n memcache-%{version}


%build

/usr/bin/phpize

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS

%configure --with-libdir=%{_lib}

%{__make}

%install

%makeinstall INSTALL_ROOT="%{buildroot}"

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php5/conf.d
%{__install} -m 644 %{S:1} %{buildroot}%{_sysconfdir}/php5/conf.d/memcache.ini

%clean

%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README CREDITS example.php
%config(noreplace) %{_sysconfdir}/php5/conf.d/memcache.ini
%{_libdir}/php5/extensions/memcache.so

%changelog
* Fri Apr 12 2013 cs@linux-administrator.com
- version 3.0.8
- Fix Bug #63142 - memcache client Segmentation fault
- Fix Bug #63272 - Explicitly reserve range of flags in php_memcache.h so application code can use
- Fix Bug #59602 - getExtendedStats fails on the host intermittently after restarting memcache
- Fix Bug #63141 - Added LICENSE file and include tests folder in package
- changes in version 3.0.7
- Fixed bug #62589 - missing "$" in memcache.php
- Fix php_stream_cast() usage.
- fixes for windows build and php 5.4 compat
* Mon Feb  6 2012 cs@linux-administrator.com
- version 3.0.6
- Fixed PECL Bug #16672 (memcache.php doesn't support unix socket)
- Fixed PECL Bug #19374 (memcache.php throws Notice: Undefined index: VALUE when viewing expired items)
- Fixed PECL Bug #17518 (Strange behavior in increment on non integer and after)
- Fixed potential segfault in memcache queue.
- Fixed various tests
* Mon Oct  4 2010 Carsten Schoene cs@linux-administrator.com
- Fixed PECL bug #16059 (Build error: 'MSG_NOSIGNAL' undeclared)
- Added method MemcachePool::findServer(key) which returns the server a key hashes to
- Changed MemcachePool::findServer() to return only "hostname:port" since tcp port is significant
- Fixed PECL bug #16536 (Weight of 0 causes SegFault on memcache_add_server)
- Fixed PECL bug #17566 (3.0.4 cache delete bug)
- Fixed PECL Bug #16442 (memcache_set fail with integer value)
* Wed Jan 14 2009 Carsten Schoene cs@linux-administrator.com
- version 3.0.3
- Enabled compression by default for values larger than 20kb
- Scalar data types (int, bool, double) are preserved by get/set
- Reserved the lowest 2 bytes of the flags for internal use
- Fixed PECL bug #14157 (Segmentation fault with errorcallback handler)
- Fixed PECL bug #15342 (memcache keys whitespaces replace issue)
- Fixed PECL bug #15447 (Persistent Connections Cause Segfaults if One Server Drops)
- Fixed PECL bug #15529 (memcache object loses port information)
- Fixed PECL bug #14730 (Types lost during get/set)
- Fixed PECL request #14801 (Session handler and large sessions)
- Added REPORT_ERRORS to php stream open
- New INI directive: memcache.compress_threshold = 20000
* Sat Feb 16 2008 Carsten Schoene cs@linux-administrator.com
- version 3.0.1
- Fixed PECL bug #12866 (Ignore memcache.default_port in memcache_connect)
- Fixed PECL bug #12883 (Breaks UTF-8 in keys)
- Fixed PECL bug #13060 (make problems, due to role="doc" instead of role="src")
- Changed behaviour of close() to actually remove all servers from pool (PECL bug #12555)
- Added configure option for PEAR installer to disable session handler support
- Added package version to phpinfo()
* Mon Nov 26 2007 crrodriguez@suse.de
- version 3.0.0
- UDP support
- Binary protocol support
- Non-blocking IO using select()
- Pipelined multi-set/delete/increment/decrement
- CAS (Compare-And-Swap) support
- Append/prepend support
- Key and session redundancy (values are written to N mirrors)
- Improved error reporting and failover handling
- Added class "MemcachePool" implementing the new API
- New INI directives
  * memcache.protocol = {ascii, binary}
  * memcache.redundancy = 1
  * memcache.session_redundancy = 2
- Changed INI defaults
  * memcache.hash_strategy = consistent
  * memcache.chunk_size = 32768
* Mon Nov  5 2007 crrodriguez@suse.de
- version 2.2.1
- Added argument to Memcache::get() that receives the flags for retrieved value(s)
- Fixed PECL bug 11369 ("nested" get calls in __wakeup() functions breaks)
- Fixed problem with keys being modified in-place and empty keys
- Fixed incompatibility with standard hash strategy in previous versions
* Fri Sep 21 2007 crrodriguez@suse.de
- update to version 2.2.0
* Tue Jun 19 2007 judas_iscariote@shorewall.net
- Update to current CVS snapshot, fixing a double efree()
- add missing ini file
- fix build in some targets
